Subject: bug#55283: ‘tests/guix-shell-export-manifest.sh’ fails on aarch64-linux

From: Efraim Flashner <[email-masked]>
Date: Tue, 10 May 2022 18:55:01 +0300

On Tue, May 10, 2022 at 05:43:43PM +0200, Ludovic Courtès wrote:
> Ludovic Courtès <[email-masked]> skribis:
> 
> > (The bug reported at the beginning of this thread looks rather basic
> > though; I’ll follow up on that.)
> 
> Actually no.  :-)
> 
> I guess the first hunk of your patch, which modifies ‘current-cpu’ so
> that it does not return #f on AArch64, is the actual fix (it can be a
> patch of its own).
> 
> The second hunk, which modifies ‘cpu->gcc-architecture’, is an
> enhancement.
> 
> Ludo’.

On aarch64 Features (flags on x86_64) isn't last, so I changed the loop
to keep running until the end of the file. I suppose I could've changed
it to run until it hit a blank line and left the eof-object? for #f.

the change from (architecture architecture) at the end I tossed in at
the last minute. It was more to keep it from erroring on untuned
architectures.

(ins)efraim@3900XT ~$ ssh pbp cat /proc/cpuinfo
processor	: 0
BogoMIPS	: 48.00
Features	: fp asimd evtstrm aes pmull sha1 sha2 crc32 cpuid
CPU implementer: 0x41
CPU architecture: 8
CPU variant	: 0x0
CPU part	: 0xd03
CPU revision	: 4

processor	: 1
BogoMIPS	: 48.00
Features	: fp asimd evtstrm aes pmull sha1 sha2 crc32 cpuid
CPU implementer: 0x41
CPU architecture: 8
CPU variant	: 0x0
CPU part	: 0xd03
CPU revision	: 4

processor	: 2
BogoMIPS	: 48.00
Features	: fp asimd evtstrm aes pmull sha1 sha2 crc32 cpuid
CPU implementer: 0x41
CPU architecture: 8
CPU variant	: 0x0
CPU part	: 0xd03
CPU revision	: 4

processor	: 3
BogoMIPS	: 48.00
Features	: fp asimd evtstrm aes pmull sha1 sha2 crc32 cpuid
CPU implementer: 0x41
CPU architecture: 8
CPU variant	: 0x0
CPU part	: 0xd03
CPU revision	: 4

processor	: 4
BogoMIPS	: 48.00
Features	: fp asimd evtstrm aes pmull sha1 sha2 crc32 cpuid
CPU implementer: 0x41
CPU architecture: 8
CPU variant	: 0x0
CPU part	: 0xd08
CPU revision	: 2

processor	: 5
BogoMIPS	: 48.00
Features	: fp asimd evtstrm aes pmull sha1 sha2 crc32 cpuid
CPU implementer: 0x41
CPU architecture: 8
CPU variant	: 0x0
CPU part	: 0xd08
CPU revision	: 2

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted